> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Model List

> Retrieve available models

Endpoint: `GET /v1/models`

* With user log-in, retrieves available models for the user's group; without login, retrieves available models for the default group.
* If an Authorization field exists in the header, the system queries the model list configured for the corresponding token.

**Response Example:**

```json theme={null}
{
  "data": [
    {
      "id": "gpt-4o-mini",
      "object": "model",
      "created": 1626777600,
      "owned_by": "OpenAI",
      "permission": [
        {
          "id": "modelperm-LwHkVFn8AcMItP432fKKDIKJ",
          "object": "model_permission",
          "created": 1626777600,
          "allow_create_engine": true,
          "allow_sampling": true,
          "allow_logprobs": true,
          "allow_search_indices": false,
          "allow_view": true,
          "allow_fine_tuning": false,
          "organization": "*",
          "group": null,
          "is_blocking": false
        }
      ],
      "root": "gpt-4o-mini",
      "parent": null
    }
  ]
}
```

### Response

| Status Code | Description | Details | Data Model |
| ----------- | ----------- | ------- | ---------- |
| 200         | OK          | none    | Inline     |

### Response Data Structure

Status Code **200**

| Name                       | Type           | Required | Constraints | Chinese Name  | Description |
| -------------------------- | -------------- | -------- | ----------- | ------------- | ----------- |
| » data                     | \[object]      | true     | none        |               | none        |
| »» id                      | string         | true     | none        | Model ID      | none        |
| »» object                  | string         | true     | none        | model         | none        |
| »» created                 | integer        | true     | none        | Creation Time | none        |
| »» owned\_by               | string         | true     | none        | Developer     | none        |
| »» permission              | \[object]¦null | true     | none        |               | none        |
| »»» id                     | string         | true     | none        |               | none        |
| »»» object                 | string         | true     | none        |               | none        |
| »»» created                | integer        | true     | none        |               | none        |
| »»» allow\_create\_engine  | boolean        | true     | none        |               | none        |
| »»» allow\_sampling        | boolean        | true     | none        |               | none        |
| »»» allow\_logprobs        | boolean        | true     | none        |               | none        |
| »»» allow\_search\_indices | boolean        | true     | none        |               | none        |
| »»» allow\_view            | boolean        | true     | none        |               | none        |
| »»» allow\_fine\_tuning    | boolean        | true     | none        |               | none        |
| »»» organization           | string         | true     | none        |               | none        |
| »»» group                  | null           | true     | none        |               | none        |
| »»» is\_blocking           | boolean        | true     | none        |               | none        |
| »» root                    | string         | true     | none        | Model Name    | none        |
| »» parent                  | null           | true     | none        | Parent Node   | none        |
